Template:Help box/styles.css

From Disney•Pixar CARS Wiki
Jump to navigation Jump to search
/* Helpspace info-navboxes */
.helplinks-box {
	clear: both; 
	font-size: 88%; 
	border: 2px solid #000;
	border-collapse: collapse;
	text-align: center;
	max-width: 300px;
	margin: 0 0 1em 1.15em;
}
.helplinks-header {
	font-size: 200%;
	font-weight: bold;	
}
.helplinks-sub {
	padding: 0.2em;
	color: #fff;
	font-weight: bold;
}
.helplinks-footer {
	background: #f8f9fa;
	padding: 0 5px;
	text-align: right;
	border-top: 2px solid #000;
}
.helplinks-footer a {
	color: #000;
}

/* for Help:Formatting */
table.list-library,
table.list-library > * > tr > td {
	padding: 0;
	margin: 0;
}
.bullet-block {
	border: 1px solid #ccc;
}
.bullet-block > ul {
	padding: 0;
	margin: 6px 0 0 11.5px;
	font-size: 30px;
	line-height: 1;
	display: inline-block;
	list-style-position: inside;
	list-style-image: none;
}
.bullet-block > ul > li {
	margin-bottom: 0;
}
.bullet-block > ol {
	margin-left: 2em;
}
.bullet-block > ol > li {
	background: linear-gradient(to bottom, transparent 0, transparent 45%, black 45%, black 55%, transparent 55%, transparent 100%);
	margin-right: 7px;
}

.meta-doctable td.prenomargin {
	background-color: #E7E9EB;
	padding: 8px 20px;
}
.meta-doctable .mw-highlight > pre {
	padding: 8px 12px;
	margin: 0;
	white-space: revert; /* tbd */
}
.wikitable.meta-doctable > tr:first-of-type > th,
.wikitable.meta-doctable > thead > tr:first-of-type > th {
	background-color: #2D3748;
	color: #fff;
}
.wikitable.meta-doctable > tr:not(first-of-type) > th,
.wikitable.meta-doctable > * > tr:not(first-of-type) > th {
	background-color: #575f6c;
	color: #fff;
}

/* Help:Formatting and likely Help:Font -- color key grid */
.theme-colors-grid {
	display: grid;
	grid-template-columns: repeat(10, 1fr);
	gap: 5px;
	width: min-content;
}
.theme-colors-grid > div {
	background-color: #b02320;
	border: 1px solid #aaa;
	width: 30px;
	height: 30px;
}